<template>
  <BasicTable @register="registerTable">
    <template #form-userLevle="{ model, field }">
      <a-select
        v-model:value="model[field]"
        placeholder="请选择"
        @change="change(model)"
        :fieldNames="{ label: 'text', value: 'value' }"
        :options="Options"
      ></a-select>
    </template>
    <template #tableTitle>
      <a-button type="primary" preIcon="ant-design:export-outlined" v-auth="'tbxx-dkjl-dc'" @click="onExportXls"> 导出</a-button>
    </template>
  </BasicTable>
</template>
<script setup lang="ts">
  import { BasicTable } from '@/components/Table';
  import { useListPage } from '/@/hooks/system/useListPage';

  import { DkjdColumns, DkjdsearchFormSchema, getUserLevel } from './data';
  import { dkjdjlxx, dkjdjlxxExcel } from './api';

  const { tableContext, onExportXls } = useListPage({
    tableProps: {
      title: '',
      api: dkjdjlxx,
      columns: DkjdColumns,
      canResize: false,
      beforeFetch(params: any) {
        if (params.hylb) {
          if (params.hylb.length == 1) {
            params.hyml = params.hylb;
          } else if (params.hylb.length == 2) {
            params.hydl = params.hylb;
          } else if (params.hylb.length == 3) {
            params.hyzl = params.hylb;
          } else if (params.hylb.length == 4) {
            params.hyxl = params.hylb;
          }
        }
        if (params.data) {
          const arry = params.data.split(',');
          params.startTime = arry[0];
          params.endTime = arry[1];
        }
      },
      rowSelection: { type: 'radio' },
      rowKey: 'wrdkid',
      clickToRowSelect: true,
      showActionColumn: false,

      formConfig: {
        labelWidth: 120,
        schemas: DkjdsearchFormSchema,
        autoSubmitOnEnter: true,
        showAdvancedButton: false,
      },
      actionColumn: {
        width: 120,
        fixed: 'right',
      },
    },
    exportConfig: {
      name: '地块监督记录信息',
      url: dkjdjlxxExcel,
    },
  });
  const [registerTable, {}, {}] = tableContext;
  const Options = getUserLevel().data;
  function change(model) {
    model.cityCode = '';
  }
</script>
